Bug 74885 - Wrong direction in CMIS property editor scrollbar
Summary: Wrong direction in CMIS property editor scrollbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: medium trivial
Assignee: Giuseppe Castagno (aka beppec56)
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: CMIS
  Show dependency treegraph
 
Reported: 2014-02-12 10:34 UTC by Gautier Poletto
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gautier Poletto 2014-02-12 10:34:42 UTC
Clic on scroolbar in CMIS properties editor (File -> Properties -> CMIS Properties) going to the wrong direction.
Click above go down. 
Click below go up.
Comment 1 Yousuf Philips (jay) (retired) 2014-07-09 04:49:32 UTC
Dear Gautier,

Does this still happen with you in 4.2.5 as all the files i open have a blank box in CMIS.
Comment 2 QA Administrators 2015-02-19 04:36:57 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2015-04-01 14:51:57 UTC Comment hidden (obsolete)
Comment 4 Dave Richards 2015-04-15 18:36:48 UTC
Confirmed it's broken. If you grab the scroll bar it works, if you spin the mouse wheel it goes in the right direction, but if you click your mouse in the area above or below the scroll bar handle it moves in the wrong direction.

Confirmed on Linux/64bit, so changing platform to "All"

Tested version is 4.3.3.2

Testing using Alfresco CMIS.
Comment 5 Cor Nouws 2015-04-15 19:16:53 UTC
(In reply to Dave Richards from comment #4)
> Tested version is 4.3.3.2

there is work ongoing/being done in this area.
The latest versions are 4.3.7 rc1 already and 4.4.2.2.
So testing against those and recent master would be appreciated.
Comment 6 Commit Notification 2016-04-11 10:31:16 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cab0323ebce6f46baad32c41829e3a5e93a10e4b

tdf#74885 Fix direction in CMIS property editor scrollbar

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.